System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Event | System.AttributeTargets.All) System.MonoLimitation("This attribute is not considered in trace support.")

A attribute can be used on an assembly, class, constructor, method, property, or event.

The attribute can be used by tools that inspect an assembly for configuration settings.

Identifies a switch used in an assembly, class, or member.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter should match the property of the switch.

  Initializes a new instance of the class, specifying the name and the type of the switch.

  The display name of the switch.
  The type of the switch.
- Method
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SwitchAttribute[] `` To be added.

  Returns all switch attributes for the specified assembly.

  An array that contains all the switch attributes for the assembly.

  The assembly to check for switch attributes.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property typically indicates the function of the switch.

  Gets or sets the description of the switch.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property should match the property of the switch.

  Gets or sets the display name of the switch.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets or sets the type of the switch.